# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`ir_agent`](#ir_agent): Module for installing and managing Rapid7 Insight Agent.

#### Private Classes

* `ir_agent::audit`: Class for configuring audit service for Insight agent.
* `ir_agent::install`: Class for installing the Insight agent.
* `ir_agent::uninstall`: Class for uninstalling the Insight agent.

## Classes

### <a name="ir_agent"></a>`ir_agent`

Module for installing and managing Rapid7 Insight Agent.

#### Examples

##### Deploy the agent with default options.

```puppet

class { 'ir_agent':
  source => 'puppet:///modules/my_module/agent_installer_x64.sh',
  token  => 'us:01234567-89ab-cdef-0123-4567890abcde',
}
```

#### Parameters

The following parameters are available in the `ir_agent` class:

* [`ensure`](#ensure)
* [`source`](#source)
* [`token`](#token)
* [`auditd_compatibility_mode`](#auditd_compatibility_mode)
* [`https_proxy`](#https_proxy)

##### <a name="ensure"></a>`ensure`

Data type: `Enum['present', 'absent']`

If `present`, installs the agent. If `absent`, uninstalls the agent.
The agent is self-updating, so there is no `latest` option provided.

Default value: `'present'`

##### <a name="source"></a>`source`

Data type: `Optional[String]`

Source location for the agent installer script.

Default value: ``undef``

##### <a name="token"></a>`token`

Data type: `Optional[String]`

Token needed to download the certificates needed to enable the agent.

Default value: ``undef``

##### <a name="auditd_compatibility_mode"></a>`auditd_compatibility_mode`

Data type: `Boolean`

Run the agent in auditd compatibility mode.

Default value: ``false``

##### <a name="https_proxy"></a>`https_proxy`

Data type: `Optional[String]`

Proxy host and port to use for communicating with Rapid7 cloud.

Default value: ``undef``

